//Tim Blythman
#include "io.h"

void ioinit(void){
    //top (via R) driver: pin2=RA5
    //sense: pin5=RA2
    //bottom connect: pin3=RA4
    //I2C on RA1/RA0 (=ICSP pins)
    //I2C address is 0x3C (0x78 write, 0x79 read)

    //using a single fixed ADC input on RA2
    ANSELA=1<<2;         //AN2 on RA2 only
    ADCON0=0;            //reset
    ADCON0bits.CHS=2;    //AN2
    ADCON1= 0b11000000;  //1=right align, 100=1/4 FOSC, 00=NA, 00=V+REF=VDD
    ADACT=0;             //no auto trigger    
    ADCON0bits.ADON=1;   //turn on
    
    //IO pins idle state
    TRISA5=0;
    TRISA4=0;
    LATA5=1;
    LATA4=0;
    //set these for I2C, control with TRIS
    LATA1=0;
    LATA0=0;
    
}

int getADC(void){   //get result from preselected channel
    int i,j;
    j=0;
    ADCON0bits.ADGO=1;              //start a dummy reading
    while(ADCON0bits.ADGO){}        //wait till done
    for(i=0;i<ADC_OS;i++){
        ADCON0bits.ADGO=1;          //start
        while(ADCON0bits.ADGO){}    //wait till done
        j=j+ADRES;        
    }
    return j;    
}

